{% set current_role = topology.roles.get(current_group_role) %}
option domain-name "{{ topology.domain_name }}";

{% for interface_name in current_role.interfaces %}
{% set interface = current_role.interfaces.get(interface_name) %}
{% if interface.dhcp_server == true %}
subnet {{ interface.subnet }} netmask {{ interface.netmask }} {
    option routers {{ interface.ip }};
    option broadcast-address {{ interface.broadcast_address }};
    option domain-name-servers {{ interface.domain_name_servers }};
    option ntp-servers {{ interface.ip }};
    range {{ interface.dhcp_range.begin }} {{ interface.dhcp_range.end }};

    host {{ current_role.hostname }} {
        fixed-address {{ interface.ip }};
        hardware ethernet {{ interface.mac }};
    }

{% if "fixed_address" in interface %}
{% for key, value in interface.fixed_address.items() %}
    host {{ topology.roles[key].hostname }} {
        fixed-address {{ value.ip }};
        hardware ethernet {{ topology.roles[key].interfaces[value.if].mac }};
    }

{% endfor %}
{% endif %}
}

{% endif %}
{% endfor %}
